<div class="container-fluid">
  <div class="custom-card">
    <img alt="" src="assets/images/icon/issued-history-icon.png" />
    <p class="title-custom inline">Thông tin ban hành</p>
    <div class="header-divider inline"></div>
    <p class="inline text-custom">{{ infoIssueName }}</p>
  </div>
  <p class="title-custom">Danh sách cá nhân đã nhận thông tin</p>
  <div nz-row class="template">
    <div class="jd-table">
      <nz-table #basicTable [nzData]="historyIssuedList" [nzFrontPagination]="false" [nzSize]="TABLE_SIZE"
        [nzScroll]="historyIssuedList.length ? {x: 'SCROLL_CONFIG'} : {}" [nzShowPagination]="false" nzBordered>
        <thead>
          <tr>
            <th [nzWidth]="WIDTH_COLUMN.CHECKED" scope="col" nzLeft>STT</th>
            <th [nzWidth]="WIDTH_COLUMN.MEDIUM" scope="col" nzLeft>USERNAME</th>
            <th scope="col">NGƯỜI NHẬN</th>
            <th scope="col">PHÒNG</th>
            <th scope="col">NGÀY CHUYỂN</th>
            <th scope="col">CHÚ THÍCH</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of basicTable.data; let i = index">
            <td nzLeft>{{ (i + 1) + pagination.pageIndex * 10 }}</td>
            <td nzLeft>{{ data.receivedEmail }}</td>
            <td>{{ data.receivedUser }}</td>
            <td>{{ data.position }}</td>
            <td>{{ data.sendTime | date: 'dd/MM/YYYY' }}</td>
            <td>{{ data.actionType }}</td>
          </tr>
        </tbody>
      </nz-table>
      <div class="pagination" *ngIf="historyIssuedList.length !== 0">
        <nz-pagination [(nzPageIndex)]="pagination.pageIndex" [nzTotal]="pagination.totalElement"
          [nzPageSize]="pagination.size" (nzPageIndexChange)="changePage()" class="pagination__icon"></nz-pagination>
      </div>
    </div>
  </div>

  <ng-template #totalTemplate let-total>Total {{ total }} items</ng-template>
</div>
